package info.bukova.isspst.services.requirement;

import info.bukova.isspst.data.RequirementBase;
import info.bukova.isspst.data.User;
import info.bukova.isspst.services.Service;

import java.util.List;

public interface RequirementBaseService<T extends RequirementBase> extends Service<T>
{

	public void loadAuthItems(T data);
	public void loadType(T data);
	public void loadWorkflow(T data);
	public void approve(T entity);
	public boolean canApprove(T entity);
	public List<User> getNextApprover(T entity);
	
	public List<T> getMy();

	public List<T> getCentreReq();

	public List<T> getWorkgroupReq();
}
