package info.bukova.isspst.ui.main;

import org.zkoss.bind.annotation.GlobalCommand;
import org.zkoss.bind.annotation.Init;
import org.zkoss.bind.annotation.NotifyChange;

public class TabPanelsVM
{
	private boolean showCentre;
	private boolean showWorkgroup;
	private boolean showAll;

	@Init
	public void init()
	{
		showCentre = true;
		showWorkgroup = true;
		showAll = true;
	}

	@GlobalCommand
	@NotifyChange("showCentre")
	public void disableCentre()
	{
		showCentre = false;
	}

	@GlobalCommand
	@NotifyChange("showWorkgroup")
	public void disableWorkgroup()
	{
		showWorkgroup = false;
	}

	@GlobalCommand
	@NotifyChange("showAll")
	public void disableAll()
	{
		showAll = false;
	}

	public boolean isShowCentre()
	{
		return showCentre;
	}

	public boolean isShowWorkgroup()
	{
		return showWorkgroup;
	}

	public boolean isShowAll()
	{
		return showAll;
	}
}
